-- Test season_i18n
set client_min_messages to warning;
create extension if not exists pgtap;
reset client_min_messages;

begin;

select plan(23);

set search_path to camper, public;

select has_table('season_i18n');
select has_pk('season_i18n');
select col_is_pk('season_i18n', array['season_id', 'lang_tag']);
select table_privs_are('season_i18n', 'guest', array['SELECT']);
select table_privs_are('season_i18n', 'employee', array['SELECT']);
select table_privs_are('season_i18n', 'admin', array['SELECT', 'INSERT', 'UPDATE', 'DELETE']);
select table_privs_are('season_i18n', 'authenticator', array[]::text[]);

select has_column('season_i18n', 'season_id');
select col_is_fk('season_i18n', 'season_id');
select fk_ok('season_i18n', 'season_id', 'season', 'season_id');
select col_type_is('season_i18n', 'season_id', 'integer');
select col_not_null('season_i18n', 'season_id');
select col_hasnt_default('season_i18n', 'season_id');

select has_column('season_i18n', 'lang_tag');
select col_is_fk('season_i18n', 'lang_tag');
select fk_ok('season_i18n', 'lang_tag', 'language', 'lang_tag');
select col_type_is('season_i18n', 'lang_tag', 'text');
select col_not_null('season_i18n', 'lang_tag');
select col_hasnt_default('season_i18n', 'lang_tag');

select has_column('season_i18n', 'name');
select col_type_is('season_i18n', 'name', 'text');
select col_not_null('season_i18n', 'name');
select col_hasnt_default('season_i18n', 'name');


select *
from finish();

rollback;

